## ploticus 2.41

=== src/Makefile ===
######## PLOTICUS version 2.41    Copyright 1998-2009 Stephen C. Grubb  http://ploticus.sourceforge.net
########
######## Use this Makefile to build  pl executable  or  libploticus.  Root permission is not required.
######## Configure the 3 settings below then do:  make clean; make
######## Default settings should be ready to go for most linux platforms.
######## Problem reports and questions may be sent to  ploticus@yahoogroups.com


# defaults..
CC = gcc
PLATFORM = UNIX
RMCOM = rm -f
NOX11 = -DNOX11
NOSWF = -DNOSWF
EXE = pl



####################################################################
########## Setting 1:
########## What do you wish to build?  pl executable?  libploticus?
########## Select ONE option below by activating the appropriate lines...
########## All other lines should be commented out.
####################################################################


############ Option 1: build the pl executable (unix), no X11 ....
NOX11 = -DNOX11



############ Option 2: build the pl executable (unix), with X11 enabled .... 
# NOX11 = 
# XOBJ = x11.o interact.o

############ ...AND... activate the lines below for your platform... (X11 libs & header files)
#### linux
# XLIBS = -L/usr/X11R6/lib -lX11
# XINCLUDEDIR = -I/usr/X11R6/include
#### alt linux
# XLIBS = -lX11
# XINCLUDEDIR = -I/usr/include/X11
#### 64bit linux
# XLIBS = -L/usr/X11R6/lib64 -lX11
#### solaris
# XLIBS = -L/usr/openwin/lib -lX11
# XINCLUDEDIR = -I/usr/openwin/include
#### mac osx
# CC = cc -arch ppc -arch i386
# XLIBS = -L/usr/X11R6/lib -lX11
# XINCLUDEDIR = -I/usr/X11R6/include
#### cygwin 
# XLIBS = -L/usr/X11R6/lib -lX11
# XINCLUDEDIR = -I/usr/X11R6/include
# PLATFORM = WIN32



############ Option 3: build pl executable (native win32 pl.exe)
# PLATFORM = WIN32
# RMCOM = del



############ Option 4: build static libploticus (unix) with png support (remember to also select setting 2 option 2)
# LIBEXT = a
# ARCOM = ar r
# target: libploticus-static



############ Option 5: build shared libploticus (unix)
############ Note: untested by me ... suggestions welcome -sg
# LIBEXT = a
# FPIC = -fPIC
# SONAME = libploticus.so.0
# SHAREFLAG = -shared -Wl,-soname,$(SONAME)
# target: libploticus-so



############################################################################
######### Setting 2:
######### Ploticus uses the GD library to create PNG, GIF, JPEG images.
######### This distribution includes GD13 (GIF), and GD16 (PNG) code.
######### You can choose to use one of these or you can choose to use your 
######### own GD version, or you can choose to not use GD at all.
############################################################################


########### Option 1: use bundled GD16 (PNG only).  Requires libpng and zlib.
exetarget: plpng 
GD16LIBS = -lpng -lz
GD16H = 
ZFLAG = -DWZ

########### Option 2: use bundled GD13 (pseudoGIF only). No additional lib dependencies.
# exetarget: pl 

########### Option 3: use your own GD resource.  Requires GD 1.84+, libpng, zlib, libjpeg
# exetarget: plgd18 
# GD18LIBS = -lgd -lpng -lz -ljpeg 
# GD18H = 
# GDFREETYPE = 
# ZFLAG = -DWZ

########### Option 4: use your own GD resource with FreeType2 fonts enabled.  
###########           Requires GD 1.84+, libpng, zlib, libjpeg and libfreetype
# exetarget: plgd18 
# GD18LIBS = -lgd -lpng -lz -ljpeg -lfreetype
# GD18H = 
# GDFREETYPE = -DGDFREETYPE
# ZFLAG = -DWZ

########### Option 5: don't use GD at all.
# exetarget: plnogd 
# NOGD = -DNOGD



################################################################
######## Third question.
######## Other various settings you may want to make.
################################################################


#### For SWF (flash) output capability activate the following.  If necessary change -lming to location of ming.
#### Note, successful with ming 0.2a but not with later ming versions..
# MING = -lming
#optional for non-standard location:  MINGH = -I/home/scg/lib


#### To set a hard-coded directory for prefabs files, uncomment & edit the following..
#### If done, users won't be required to have PLOTICUS_PREFABS environment variable defined.
#### This option not available for win32
# PREFABS_DIR = "/usr/lib/ploticus/prefabs"


#### If you do a "make install", where do you want the executable(s) to be moved to?
INSTALLBIN = /usr/local/bin


#### For LOCALE support (non-roman alphabets & collation), uncomment the following..
# LOCALEOBJ = localef.o
# LOCALE_FLAG = -DLOCALE

#### SVG output is always available by default.
#### If you want compressed SVG (.svgz), and you selected GD13 or no GD above, 
#### uncomment the following.  You need to have zlib.  If necessary change -lz to location of zlib.
# ZLIB = -lz
# ZFLAG = -DWZ

#### To completely remove PostScript / EPS output capability, uncomment the following..
# NOPS = -DNOPS 

#### To completely remove SVG output capability, uncomment the following..
# NOSVG = -DNOSVG 

#### To see all possible compiler warnings, uncomment the following line..
WALL = -Wall



###############################################################################
######## Done.  Now save this file and type:  make clean; make      ###########
########                                                            ###########
###############################################################################

######## FYI... additional Makefile statement examples:
######## eg: GD16LIBS = /home/scg/lib/libpng.a /home/scg/lib/libz.a
######## eg: GD16H = -I/home/scg/lib
######## GD18LIBS = -L /home/scg/lib -lgd -lpng -lz -ljpeg -lfreetype
######## GD18H = -I/home/scg/lib/freetype-2.0.4/include -I/home/scg/lib/gd-1.8.4
######## eg: GD18H = -I/home/scg/lib/gd-1.8.4 -I/home/scg/lib/jpeg-6b -I/home/scg/lib -I/home/scg/lib/freetype-2.0.4/include
######## eg: MINGH = -I/home/scg/lib
######## eg: MING = /home/scg/lib/libming.a

###############################################################################
###############################################################################
###############################################################################
###############################################################################


GD13 = grgd13.o devstuff13.o gd13.o 
GD16 = grgd16.o devstuff16.o gd16.o gd_io.o gd_io_dp.o gd_io_file.o gd_png.o 
GD = gdfontg.o gdfontl.o gdfontmb.o gdfonts.o gdfontt.o

LIBS = $(XLIBS) -lm $(ADDLIBS) 

CFLAGS = $(FPIC) $(WALL) -DPLOTICUS -D$(PLATFORM) -DTDH_NOREC $(ZFLAG) $(LOCALE_FLAG) \
  $(NOGD) $(NOX11) $(NOPS) $(NOSVG) $(NOSWF) $(XINCLUDEDIR) $(MINGH) 

OBJ = proc_annotate.o proc_areadef.o proc_axis.o proc_bars.o proc_rect.o proc_breakaxis.o \
  proc_categories.o proc_curvefit.o proc_settings.o proc_drawcommands.o \
  proc_getdata.o proc_image.o proc_legend.o proc_legendentry.o proc_line.o proc_lineplot.o \
  proc_page.o proc_pie.o proc_print.o proc_boxplot.o proc_rangesweep.o proc_usedata.o proc_pvalue.o \
  proc_scatterplot.o proc_vector.o proc_symbol.o proc_processdata.o proc_tabulate.o proc_venndisk.o clickmap.o proc_tree.o proc_catlines.o \
  plhead.o execscriptfile.o execline.o lib.o details.o parse.o units.o preliminaries.o \
  process_arg.o plvalue_subst.o cats.o fieldnames.o autorange.o nearest.o select.o datasets.o \
  color.o plg.o init.o arrow.o mark.o block.o pcode.o ps.o svg.o swf.o stub.o winscale.o lineclip.o smoothfit.o ttest.o \
  condex.o dates.o dbinterface.o err.o functions.o glroutines.o reslimits.o secondaryops.o  \
  shell.o sinterp.o tdhkit.o times.o value.o value_subst.o variable.o custom.o \
  $(LOCALEOBJ)


# pl with gif support
pl: pl.o $(OBJ) $(XOBJ) gd00files gd13files
	$(CC) pl.o $(OBJ) $(GD13) $(GD) $(XOBJ) $(LIBS) $(ZLIB) $(MING) -o $(EXE)

# pl with png support
plpng: pl.o $(OBJ) $(XOBJ) gd00files gd16files
	$(CC) pl.o $(OBJ) $(GD16) $(GD) $(XOBJ) $(GD16LIBS) $(LIBS) $(MING) -o $(EXE)

# pl with jpeg support (user must supply gd 1.8+)
plgd18: pl.o $(OBJ) $(XOBJ) gd18files
	$(CC) pl.o grgd.o devstuff.o $(OBJ) $(XOBJ) $(GD18LIBS) $(LIBS) $(MING) -o $(EXE)

# pl with no GD support
plnogd: pl.o $(OBJ) $(XOBJ) nogdfiles
	$(CC) pl.o devstuff.o $(OBJ) $(XOBJ) $(LIBS) $(ZLIB) $(MING) -o $(EXE)

# libploticus.a with png
libploticus-static: $(OBJ) api.o gd00files gd16files
	$(RMCOM) libploticus.$(LIBEXT)
	$(ARCOM) libploticus.$(LIBEXT) $(OBJ) api.o $(GD16) $(GD)

# this one needs work... suggestions welcome
libploticus-so: $(OBJ) $(GDOBJ)
	$(RMCOM) libploticus.$(LIBEXT)
	$(CC) $(SHAREFLAG) -o libploticus.$(LIBEXT) $(OBJ) $(GDOBJ)


gd00files: 
	$(CC) -I./gd13 -I./ -c gdfontg.c gdfontl.c gdfontmb.c gdfonts.c gdfontt.c
	echo "done with gd00files" > gd00files

gd13files: 
	$(CC) -c $(WALL) grgd.c -DGD13 -DPLOTICUS -I./gd13 -o grgd13.o
	$(CC) -c $(CFLAGS) devstuff.c -DGD13 -o devstuff13.o
	$(CC) -c gd13.c -I./gd13 
	echo "done with gd13files" > gd13files

gd16files: 
	$(CC) -c $(WALL) grgd.c -DGD16 -DPLOTICUS -I./ -I./gd16 -o grgd16.o
	$(CC) -c $(CFLAGS) devstuff.c -DGD16 -o devstuff16.o
	$(CC) -c -I./gd16 -I./ $(GD16H) gd16.c gd_io.c gd_io_dp.c gd_io_file.c gd_png.c
	echo "done with gd16files" > gd16files

gd18files:
	$(CC) -c grgd.c devstuff.c -DGD18 $(GDFREETYPE) $(GD18H) $(CFLAGS)

nogdfiles:
	$(CC) -c devstuff.c $(CFLAGS)

devgrgd:
	$(CC) -c $(WALL) grgd.c -DGD13 -DPLOTICUS -I./gd13 -o grgd13.o
	touch pcode.c
	make



install:
	cp $(EXE) $(INSTALLBIN)

clean:
	$(RMCOM) *.o gd??files 

distclean:  clean
	$(RMCOM) $(EXE)


########
######## PLOTICUS     Copyright 1998-2009 Stephen C. Grubb  http://ploticus.sourceforge.net
########

## ploticus 2.42

=== Makefile ===
##
## Top level Makefile for ploticus and libploticus
##

DESTDIR=
BIN    =$(DESTDIR)/usr/bin
LIB    =$(DESTDIR)/usr/lib
INC    =$(DESTDIR)/usr/include

all:
	cd src; $(MAKE); $(MAKE) libploticus-static; $(MAKE) clean; \
	$(MAKE) FPIC=-fPIC libploticus-so; $(MAKE) clean;

clean:
	(cd src; $(MAKE) distclean);
	(cd pltestsuite; $(MAKE) distclean);
	rm -f configure-stamp build-stamp
	rm -f pltestsuite/out

install:
	install -d -m 755 $(BIN)
	install -m 755 src/pl $(BIN)/ploticus
	install -d -m 755 $(DESTDIR)/usr/share/man/man1
	install -m 644 man/man1/pl.1 $(DESTDIR)/usr/share/man/man1/ploticus.1
	install -d -m 755 $(LIB)
	install -m 644 src/libploticus.a $(LIB)
	install -m 644 src/libploticus.so.0.0.0 $(LIB)
	install -d -m 755 $(INC)
	install -m 644 src/libploticus.h $(INC)

=== src/Makefile ===
--- 
+++ 
@@ -62,10 +62,12 @@
 
 
 
-############ Option 4: build static libploticus (unix) with png support (remember to also select setting 2 option 2)
+############ Option 4: build static libploticus (unix) with PNG support (remember to also select PNG in Setting 2)
 # LIBEXT = a
 # ARCOM = ar r
 # target: libploticus-static
+#### and if you want X11 enabled uncomment the following line..
+# XOBJ = x11.o interact.o
 
 
 
@@ -89,13 +91,16 @@
 
 
 ########### Option 1: use bundled GD16 (PNG only).  Requires libpng and zlib.
-exetarget: plpng 
-GD16LIBS = -lpng -lz
-GD16H = 
-ZFLAG = -DWZ
-
-########### Option 2: use bundled GD13 (pseudoGIF only). No additional lib dependencies.
-# exetarget: pl 
+# exetarget: plpng 
+# GD16LIBS = -lpng -lz
+# GD16H =  -I/usr/local/include
+# ZFLAG = -DWZ
+### Leave the following commented unless libs not in usual places
+### GD16LIBS = /home/scg/lib/libpng.a /home/scg/lib/libz.a
+### GD16H = -I/home/scg/lib
+
+########### Option 2: use bundled GD13 (GIF only). No additional lib dependencies.
+exetarget: pl 
 
 ########### Option 3: use your own GD resource.  Requires GD 1.84+, libpng, zlib, libjpeg
 # exetarget: plgd18 
@@ -104,7 +109,7 @@
 # GDFREETYPE = 
 # ZFLAG = -DWZ
 
-########### Option 4: use your own GD resource with FreeType2 fonts enabled.  
+########### Option 4: use your own GD resource with FreeType2 (ttf) fonts enabled.  
 ###########           Requires GD 1.84+, libpng, zlib, libjpeg and libfreetype
 # exetarget: plgd18 
 # GD18LIBS = -lgd -lpng -lz -ljpeg -lfreetype
@@ -119,7 +124,7 @@
 
 
 ################################################################
-######## Third question.
+######## Settings 3:
 ######## Other various settings you may want to make.
 ################################################################
 
@@ -130,10 +135,8 @@
 #optional for non-standard location:  MINGH = -I/home/scg/lib
 
 
-#### To set a hard-coded directory for prefabs files, uncomment & edit the following..
-#### If done, users won't be required to have PLOTICUS_PREFABS environment variable defined.
-#### This option not available for win32
-# PREFABS_DIR = "/usr/lib/ploticus/prefabs"
+#### To set a hard-coded directory for prefabs files, edit the PREFABS_DIR define in pl.h before doing the build.
+#### If the installer does this, users won't be required to have PLOTICUS_PREFABS environment variable defined.
 
 
 #### If you do a "make install", where do you want the executable(s) to be moved to?
@@ -157,7 +160,7 @@
 # NOSVG = -DNOSVG 
 
 #### To see all possible compiler warnings, uncomment the following line..
-WALL = -Wall
+# WALL = -Wall
 
 
 
@@ -220,9 +223,9 @@
 	$(CC) pl.o devstuff.o $(OBJ) $(XOBJ) $(LIBS) $(ZLIB) $(MING) -o $(EXE)
 
 # libploticus.a with png
-libploticus-static: $(OBJ) api.o gd00files gd16files
+libploticus-static: $(OBJ) $(XOBJ) api.o gd00files gd16files
 	$(RMCOM) libploticus.$(LIBEXT)
-	$(ARCOM) libploticus.$(LIBEXT) $(OBJ) api.o $(GD16) $(GD)
+	$(ARCOM) libploticus.$(LIBEXT) $(OBJ) $(XOBJ) api.o $(GD16) $(GD)
 
 # this one needs work... suggestions welcome
 libploticus-so: $(OBJ) $(GDOBJ)
@@ -231,7 +234,7 @@
 
 
 gd00files: 
-	$(CC) -I./gd13 -I./ -c gdfontg.c gdfontl.c gdfontmb.c gdfonts.c gdfontt.c
+	$(CC) $(FPIC) -I./gd13 -I./ -c gdfontg.c gdfontl.c gdfontmb.c gdfonts.c gdfontt.c
 	echo "done with gd00files" > gd00files
 
 gd13files: 
@@ -241,9 +244,9 @@
 	echo "done with gd13files" > gd13files
 
 gd16files: 
-	$(CC) -c $(WALL) grgd.c -DGD16 -DPLOTICUS -I./ -I./gd16 -o grgd16.o
-	$(CC) -c $(CFLAGS) devstuff.c -DGD16 -o devstuff16.o
-	$(CC) -c -I./gd16 -I./ $(GD16H) gd16.c gd_io.c gd_io_dp.c gd_io_file.c gd_png.c
+	$(CC) -c $(WALL) $(FPIC) grgd.c -DGD16 -DPLOTICUS -I./ -I./gd16 -o grgd16.o
+	$(CC) -c $(CFLAGS) $(FPIC) devstuff.c -DGD16 -o devstuff16.o
+	$(CC) -c $(FPIC) -I./gd16 -I./ $(GD16H) gd16.c gd_io.c gd_io_dp.c gd_io_file.c gd_png.c
 	echo "done with gd16files" > gd16files
 
 gd18files:

=== debian/changelog ===
ploticus (2.42-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Pass CFLAGS to ensure hardening is correctly enabled (Close: #967239)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 16 Oct 2020 16:40:57 +0200

ploticus (2.42-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control: Replace removed libgd2-noxpm-dev build-deb with libgd-dev to
    fix FTBS (closes: #880778)

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 29 Mar 2020 11:06:52 +0200

ploticus (2.42-4) unstable; urgency=medium

  * Fix debian/watch - thanks to Iain Learmonth
  * Bump Standards-Version to 4.0.0 (No changes required).

 -- Colin Tuckley <colint@debian.org>  Tue, 25 Jul 2017 09:58:08 +0100

ploticus (2.42-3) unstable; urgency=medium

  * Add debian/watch file. Many thanks to Bart Martens.
  * Add LDFLAGS to src/Makefile for hardening.
  * Fix lintian man page warnings.

 -- Colin Tuckley <colint@debian.org>  Mon, 16 Jun 2014 18:30:58 +0100

ploticus (2.42-2) unstable; urgency=medium

  * Modify build to use "ploticus" instead of "pl"
  * Remove all refs to ploticus-doc (no longer available)
  * Incorporate upstream patch to src/init.c (closes: #748177)
  * Convert to source format 3.0 (quilt)

 -- Colin Tuckley <colint@debian.org>  Mon, 02 Jun 2014 18:11:41 +0100

ploticus (2.42-1) unstable; urgency=low

  * New Upstream release.
  * Bump Standards-Version to 3.9.5 (No changes required).
  * Upstream Bugfix: Instability with multiline attribute in execline.c
    (LP: #692567)

 -- Colin Tuckley <colint@debian.org>  Wed, 08 Jan 2014 11:02:15 +0000

ploticus (2.41-6) unstable; urgency=low

  * Add dpkg-buildflags to debian/rules

 -- Colin Tuckley <colint@debian.org>  Mon, 13 May 2013 21:02:20 +0100

ploticus (2.41-5) unstable; urgency=low

  * Upstream Bugfix: heatmap prefab wasn't obeying the legend=no parameter
  * Upstream Bugfix: fixes to the error bars in chron prefab

 -- Colin Tuckley <colint@debian.org>  Tue, 12 Jun 2012 21:03:31 +0100

ploticus (2.41-4) unstable; urgency=low

  * Incorporate the NMU (2.41-3.1)
  * Fix lintian warnings for:
      Add ${misc:Depends} to libploticus0[-dev]'s dependencies
      Add build-arch and build-indep to debian/rules
  * Add a new debian/source/format file
  * Bump Standards-Version to 3.9.3 (No changes required).
  * Fix "Please Build-Depends on libpng-dev, change from libpng12-dev"
      do as the bug report requests (closes: #662468).

 -- Colin Tuckley <colint@debian.org>  Tue, 06 Mar 2012 21:03:31 +0000

ploticus (2.41-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS Please Build-Depends on libjpeg-dev, not libjpeg62-dev":
    do as the bug report requests (closes: #635488).

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 Sep 2011 18:04:51 +0200

ploticus (2.41-3) unstable; urgency=low

  * Fix manpages.
  * Upstream Bugfix: fix problems building apitest.
  * Bump Standards-Version to 3.8.3 (No changes required).
  * Fix unresolved symbols in shared libraries Closes: #558949.

 -- Colin Tuckley <colint@debian.org>  Fri, 11 Dec 2009 23:31:55 +0000

ploticus (2.41-2) unstable; urgency=low

  * Fix bashism in run_script_test again
    and push upstream this time Closes: #530163
  * Upstream Bugfix: for the 'legendlabel' attribute

 -- Colin Tuckley <colint@debian.org>  Wed, 10 Jun 2009 20:15:28 +0100

ploticus (2.41-1) unstable; urgency=low

  * New Upstream version.
  * Upstream Bugfix: proc boxplot - bug fix - incorrect error messages
  * Bump Standards-Version (No changes required).

 -- Colin Tuckley <colint@debian.org>  Fri, 10 Apr 2009 18:28:51 +0100

ploticus (2.40-4) unstable; urgency=low

  * Upstream Bugfix: Clickmap area tags not XHTML conformant.
  * Upstream Bugfix: Controlling the last stub in a chron prefab plot.

 -- Colin Tuckley <colint@debian.org>  Thu, 19 Feb 2009 18:25:44 +0000

ploticus (2.40-3) unstable; urgency=low

  * Upstream Bugfix: Closes: #502869
    Fix "lines" prefab wasn't working when cats=yes in prefabs/lines.pl

 -- Colin Tuckley <colint@debian.org>  Tue, 21 Oct 2008 11:12:49 +0100

ploticus (2.40-2) unstable; urgency=low

  * Fix bashism in run_script_test Closes: #489642.
  * Bump standards-version to 3.8.0 (no changes required).
  * Replace obsolete-package build-depends: x-dev with x11proto-core-dev
  * Upstream Bugfix:
    Fix proc processdata bug in datasets.c

 -- Colin Tuckley <colint@debian.org>  Fri, 11 Jul 2008 17:13:23 +0100

ploticus (2.40-1) unstable; urgency=low

  * New Upstream version.
  * Update maintainer Email address.
  * Bump Standards-Version (No changes required).
  * Add Homepage field to debian/control.
  * Incorporate fix to proc_axis.c from upstream.
  * Incorporate fix to gd13.c from upstream to fix compiler errors.
  * Incorporate fix to execline.c from upstream.

 -- Colin Tuckley <colint@debian.org>  Wed, 20 Feb 2008 09:54:35 +0000

ploticus (2.33-3) unstable; urgency=low

  * upstream bugfixes
    proc_getdata.c filter attribute - # data fields
    glroutines.c clickmap urls - certain punct chars dropped
    cumufrac.pl cumufrac prefab - no curve produced for certain input data
    proc_bars.c floating segment bars glitches
    chunk_title prefab title align giving incorrect results
    stub.c crosshatch fill weird linewidth interaction with -scale
  * packaged libploticus Closes: #420735
  * added homepage refs to descriptions in debian/control

 -- Colin Tuckley <colin@tuckley.org>  Sat, 09 Jun 2007 11:29:57 +0100

ploticus (2.33-2) unstable; urgency=low

  * Fixed possible 64-bit problem in svg.c
  * Modified X11 paths in src/Makefile for Xorg transition
  * Fixed compiler warnings about redefinition of stricmp and strnicmp
  * Reverted upstream change of char * to unsigned char * in various
    places to fix "differ in signedness" compiler warnings
  * Include patch from Thomer M. Gil to fix segfault in swf.c Closes: #372511
  * Added a Recommends for ploticus-doc

 -- Colin Tuckley <colin@tuckley.org>  Sat, 10 Jun 2006 17:03:18 +0100



=== debian/control ===
Source: ploticus
Section: misc
Priority: optional
Maintainer: Colin Tuckley <colint@debian.org>
Homepage: http://ploticus.sourceforge.net
Build-Depends: debhelper (>= 9), zlib1g-dev, libgd-dev, libjpeg-dev, libfreetype6-dev, libx11-dev, x11proto-core-dev, libpng-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 4.0.0

Package: ploticus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: script driven business graphics package
 Ploticus is script-driven, which makes it suitable for automated,
 unattended uses, or for applications that will be run again and again.
 In general, ploticus is good at making graphs like you would see in
 newspapers and news magazines, business publications, journals for
 medical and social sciences, and so on.
 .
 Ploticus is not a function or mathematical plotting package like
 gnuplot, nor would it be a good choice for applications where
 mathematical formulas or scientific notations are to be rendered
 as an integral part of the data display.  Ploticus is also not
 intended as a "marketing" graphics package.  Its goal is to
 display data crisply without extra decoration and distracting
 "dingbats" that cloud the picture.
 .
 Ploticus supports a wide range of output options, including jpeg
 (Joint Photographics Experts Group format), png (Portable Network
 Graphics format), svg (Simple Vector Graphics), bmp (Microsoft BitMaP),
 ps (PostScript), swf (Flash), and X11.

Package: libploticus0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: script driven business graphics library
 libploticus is not a function or mathematical plotting package like
 gnuplot, nor would it be a good choice for applications where
 mathematical formulas or scientific notations are to be rendered
 as an integral part of the data display.  libploticus is also not
 intended as a "marketing" graphics package.  Its goal is to
 display data crisply without extra decoration and distracting
 "dingbats" that cloud the picture.
 .
 libploticus supports a wide range of output options, including jpeg
 (Joint Photographics Experts Group format), png (Portable Network
 Graphics format), svg (Simple Vector Graphics), bmp (Microsoft BitMaP),
 ps (PostScript), swf (Flash), and X11.

Package: libploticus0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libploticus0 (= ${binary:Version})
Description: Development files for the ploticus library
 libploticus is not a function or mathematical plotting package like
 gnuplot, nor would it be a good choice for applications where
 mathematical formulas or scientific notations are to be rendered
 as an integral part of the data display.  libploticus is also not
 intended as a "marketing" graphics package.  Its goal is to
 display data crisply without extra decoration and distracting
 "dingbats" that cloud the picture.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# CFLAGS values required are set in src/Makefile

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_prep 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean 

install: build
	dh_prep 
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

build-arch: build

build-indep: build

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	dh_install
	dh_installchangelogs 
	dh_installdocs -A
	dh_installexamples
	dh_installman
	chmod 644 $(CURDIR)/debian/ploticus/usr/share/doc/ploticus/examples/run_script_test.bat
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps -L libploticus0 -l debian/libploticus0/usr/lib/
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

opts=uversionmangle=s/^(.*linux)/0.0.$1/;s/^(\d)(\d\d)$/$1.$2/ \
http://qa.debian.org/watch/sf.php/ploticus/ \
(?:|.*/)ploticus(?:[_\-]v?|)(\d[^\s/]*)_src\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
